Skip to main content
POST
/
entry
/
tickets
Admit Entry Tickets
curl --request POST \
  --url https://api.nuwebgroup.com/v1/entry/tickets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "uuid": "ac35342f-6bb9-4e27-a218-f523cfc09660",
  "tickets": [
    {
      "barcode": "R6LXATTKDH",
      "eventId": 54968207,
      "zoneId": 1,
      "latitude": 51.57482849,
      "longitude": -0.17483943,
      "admittedThroughGateId": 1,
      "scannedOn": "2021-05-12 10:26:17",
      "status": "scanned"
    },
    {
      "barcode": "LHJ01YWM7O",
      "eventId": 54968207,
      "zoneId": 2,
      "latitude": 51.57482849,
      "longitude": -0.17483943,
      "admittedThroughGateId": 1,
      "scannedOn": "2021-05-12 10:26:17",
      "status": "scanned"
    },
    {
      "barcode": "GJYF6YWM7O",
      "eventId": 54968207,
      "zoneId": 2,
      "latitude": 51.57482849,
      "longitude": -0.17483943,
      "admittedThroughGateId": 1,
      "scannedOn": "2021-05-12 10:26:17",
      "status": "failed",
      "statusDetail": "Past scan in date"
    }
  ]
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request admitting tickets.

uuid
string

Optional UUID to ensure items are not scanned multiple times. If a matching UUID is found, it is assumed that all tickets have already been scanned and the system will return the response from the previous successful scan with the matching UUID and not attempt to scan any of the tickets provided.

tickets
object[]

Response

Successfully admitted the tickets.

success
boolean